Bug 1450440 - Review Request: perl-Ref-Util-XS - Utility functions for checking references
Summary: Review Request: perl-Ref-Util-XS - Utility functions for checking references
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gerd Pokorra
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-12 14:39 UTC by Paul Howarth
Modified: 2017-06-16 23:48 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-06-09 19:17:31 UTC
gp: fedora-review+


Attachments (Terms of Use)

Description Paul Howarth 2017-05-12 14:39:56 UTC
Spec URL: http://subversion.city-fan.org/repos/cfo-repo/perl-Ref-Util-XS/branches/fedora/perl-Ref-Util-XS.spec
SRPM URL: http://www.city-fan.org/~paul/extras/perl-Ref-Util/perl-Ref-Util-XS-0.115-1.fc27.src.rpm

Description:
Ref::Util::XS introduces several functions to help identify references in a
faster and smarter way.

Fedora Account System Username: pghmcfc

The XS parts of Ref::Util have been split out into this package. The Ref-Util dist now includes a pure-perl implementation and uses this XS version if available.

Comment 1 Paul Howarth 2017-05-15 08:48:50 UTC
Upstream update to 0.116 (spec URL unchanged):

http://www.city-fan.org/~paul/extras/perl-Ref-Util/perl-Ref-Util-XS-0.116-1.fc27.src.rpm

Comment 2 Gerd Pokorra 2017-05-29 15:52:20 UTC
Why you check the licensedir?

I think

%if 0%{?_licensedir:1}
%license LICENSE
%else
%doc LICENSE
%endif

should be replaced to

%license LICENSE

Comment 3 Paul Howarth 2017-05-30 05:47:54 UTC
(In reply to Gerd Pokorra from comment #2)
> Why you check the licensedir?
> 
> I think
> 
> %if 0%{?_licensedir:1}
> %license LICENSE
> %else
> %doc LICENSE
> %endif
> 
> should be replaced to
> 
> %license LICENSE

This is a standard idiom for EL-6 compatibility; EL-6 doesn't have %license, and the easiest way to check for %license support is to check for the existence of the %_licensedir macro. So on EL-6 the LICENSE file is included as documentation.

Comment 4 Gerd Pokorra 2017-05-30 11:38:58 UTC
My EL-6 scratch builds with

koji build --scratch dist-6E-epel /home/gz016/rpmbuild/SRPMS/perl-Ref-Util-XS-0.116-1.fc25.src.rpm

fails:

DEBUG util.py:439:  Error: No Package found for perl(CPAN::Meta) >= 2.120900
DEBUG util.py:439:  Error: No Package found for perl(Test::More) >= 0.94

https://koji.fedoraproject.org/koji/taskinfo?taskID=19780061


Without versions numbers the package perl(CPAN::Meta) is missing:

https://koji.fedoraproject.org/koji/taskinfo?taskID=19780865

Comment 5 Paul Howarth 2017-05-30 13:23:54 UTC
Hmm, good point. The EL-6 bits are a leftover from my local repo build, where I do have those packages. Neither the base not EPEL 6 repos are ever likely to get these packages, so I removed the EL-6-specific bits.

(spec URL unchanged):

http://www.city-fan.org/~paul/extras/perl-Ref-Util/perl-Ref-Util-XS-0.116-2.fc27.src.rpm

Comment 6 Gerd Pokorra 2017-05-30 13:52:20 UTC
Yast for a moment I tested this to support EL-6:

# Optional Tests
BuildRequires:  perl(B::Concise)
%{!?el6:BuildRequires:  perl(CPAN::Meta)}
BuildRequires:  perl(Readonly)

.
.
.
%files
%if %{?el6:1}%{!?el6:0}
%doc LICENSE
%else
%license LICENSE
%endif
%doc Changes README

Comment 7 Gerd Pokorra 2017-05-30 13:58:22 UTC
P.S.

Also the test

rm -f t/all-permutations.t

needed to be removed.

But we do not need to care about EL 6. Do you want to make packages for EPEL 6?

Comment 8 Paul Howarth 2017-05-30 14:05:24 UTC
(In reply to Gerd Pokorra from comment #7)
> But we do not need to care about EL 6. Do you want to make packages for EPEL
> 6?

No, hence the update in the -2 build (Comment #5).

Comment 9 Gerd Pokorra 2017-05-30 14:57:01 UTC
provides and requires are okay
rpmlint checks with: 0 errors, 0 warnings

The package is 'ACCEPTED'.

Comment 10 Paul Howarth 2017-05-30 15:02:39 UTC
Thanks for the review Gerd.

Comment 11 Gwyn Ciesla 2017-05-30 15:13:10 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/perl-Ref-Util-XS

Comment 12 Gerd Pokorra 2017-05-30 15:41:22 UTC
P.S.

Would you please consider to remove the following BuildRequires before uploading the package:

perl-devel coreutils gcc make findutils

Explicit dependency on perl-devel is not allowed (remove it)

These BR are not needed: coreutils gcc make findutils

Comment 13 Paul Howarth 2017-05-30 15:48:02 UTC
perl-devel is a build-require, not a require, and is not only allowed, it is required for building XS packages:
https://fedoraproject.org/wiki/Packaging:Perl?rd=Packaging/Perl#Build_Dependencies

Referring to the general packaging guidelines (https://fedoraproject.org/wiki/Packaging:Guidelines#BuildRequires_2), it's recommended to add build requirements for anything a package explicitly needs and not depend on buildroot dependencies pulling them in, as the buildroot contents may change over time (it tends to get smaller, with less packages included over time). Hence I have build requirements on coreutils, findutils, gcc and make, all of which are used in the package build.

Comment 14 Gerd Pokorra 2017-05-30 16:04:00 UTC
Okay; sorry for my mistake.

Comment 15 Fedora Update System 2017-05-31 07:26:50 UTC
perl-Ref-Util-XS-0.116-2.fc24 perl-Ref-Util-0.203-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8abd97d73c

Comment 16 Fedora Update System 2017-05-31 07:27:00 UTC
perl-Ref-Util-XS-0.116-2.el7 perl-Ref-Util-0.203-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-2741a627ca

Comment 17 Fedora Update System 2017-05-31 07:27:05 UTC
perl-Ref-Util-XS-0.116-2.fc26 perl-Ref-Util-0.203-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0b61ba78c1

Comment 18 Fedora Update System 2017-05-31 07:27:11 UTC
perl-Ref-Util-XS-0.116-2.fc25 perl-Ref-Util-0.203-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5b619fc916

Comment 19 Fedora Update System 2017-06-01 03:21:33 UTC
perl-Ref-Util-0.203-1.fc26, perl-Ref-Util-XS-0.116-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0b61ba78c1

Comment 20 Fedora Update System 2017-06-01 07:05:26 UTC
perl-Ref-Util-0.203-1.fc24, perl-Ref-Util-XS-0.116-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8abd97d73c

Comment 21 Fedora Update System 2017-06-01 07:08:06 UTC
perl-Ref-Util-0.203-1.fc25, perl-Ref-Util-XS-0.116-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5b619fc916

Comment 22 Fedora Update System 2017-06-01 14:28:22 UTC
perl-Ref-Util-0.203-1.el7, perl-Ref-Util-XS-0.116-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-2741a627ca

Comment 23 Fedora Update System 2017-06-09 19:17:31 UTC
perl-Ref-Util-0.203-1.fc26, perl-Ref-Util-XS-0.116-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2017-06-11 21:51:41 UTC
perl-Ref-Util-0.203-1.fc24, perl-Ref-Util-XS-0.116-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2017-06-11 23:32:42 UTC
perl-Ref-Util-0.203-1.fc25, perl-Ref-Util-XS-0.116-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2017-06-16 23:48:45 UTC
perl-Ref-Util-0.203-1.el7, perl-Ref-Util-XS-0.116-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.